#!/bin/sh
#
# Example taken from http://www.cs.unh.edu/~charpov/Programming/DC/
# and minimally modified to use dc -e '...' instead of echo '...' | dc
#
# Usage:
#    Invoke as 'dc_factor $ARG' and $ARG will be factored
# Example:
#     $ ./dc_factor 123456789              
#     3
#     3
#     3607
#     3803
#
# Dirk Eddelbuettel <edd@debian.org>  09 May 2003

dc -e "$1[p]s2[lip/dli%0=1dvsr]s12sid2%0=13sidvsr[dli%0=1lrli2+dsi!>.]ds.xd1<2"
